Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.sequenceScores.statisticalModels.trainable.hmm.states
Interface TrainableState

All Superinterfaces:
  State

All Known Subinterfaces:
  SamplingState

All Known Implementing Classes:
  SimpleDifferentiableState, SimpleSamplingState, SimpleState

    public interface TrainableState

extends State

This class implements method that allows to fill a statistic, which is used to estimate the parameters of a state during, for instance, the Baum-Welch training. All other methods that allow, for instance, to reset the statistic, to estimate the parameters from the statistic, ... are not defined in this interface to allow parameter sharing between states, and, hence, have to be defined on their own.

Author:
  Jens Keilwagen

Method Summary
`void` | `addToStatistic(int startPos, int endPos, double weight, Sequence seq)` This method allows to add a certain `weight` to the sufficient statistic of the parameters that are used for scoring the specific subsequence(s).

Methods inherited from interface de.jstacs.sequenceScores.statisticalModels.trainable.hmm.states.State
`getGraphvizNodeOptions, getLogScoreFor, isSilent`

Method Detail

### addToStatistic

    void addToStatistic(int startPos,
                        int endPos,
                        double weight,
                        Sequence seq)
                        throws OperationNotSupportedException

  This method allows to add a certain `weight` to the sufficient statistic of the parameters that are used for scoring the specific subsequence(s).

  Parameters:
    `startPos` - the start position
    `endPos` - the end position
    `weight` - the weight which will be added to the sufficient statistic
    `seq` - the `Sequence`(s)
  Throws:
    `OperationNotSupportedException` - if the reverse complement of the sequence can not be computed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD